Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.store.je
Class Block

    java.lang.Object
      org.apache.lucene.store.je.Block

    public class Block

extends Object

Port of Andi Vajda's DbDirectory to Java Edition of Berkeley Database

Author:
  Aaron Donovan

Field Summary
`protected DatabaseEntry` | `data`
`protected DatabaseEntry` | `key`

Constructor Summary
`protected` | `Block(File file)`

Method Summary
`protected void` | `get(JEDirectory directory)`
`protected byte[]` | `getData()`
`protected byte[]` | `getKey()`
`protected void` | `put(JEDirectory directory)`
`protected void` | `seek(long position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### key

    protected DatabaseEntry key

### data

    protected DatabaseEntry data

Constructor Detail

### Block

    protected Block(File file)
             throws IOException

Throws:
  `IOException`

Method Detail

### getKey

    protected byte[] getKey()

### getData

    protected byte[] getData()

### seek

    protected void seek(long position)
                 throws IOException

  Throws:
    `IOException`

### get

    protected void get(JEDirectory directory)
                throws IOException

  Throws:
    `IOException`

### put

    protected void put(JEDirectory directory)
                throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.